Bug 575085 - Review Request: rsvndump - Remote Subversion repository dumping tool
Summary: Review Request: rsvndump - Remote Subversion repository dumping tool
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-19 12:12 UTC by Kalev Lember
Modified: 2010-04-09 04:15 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-03-30 02:26:59 UTC
terjeros: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kalev Lember 2010-03-19 12:12:59 UTC
Spec URL: http://kalev.fedorapeople.org/rsvndump.spec
SRPM URL: http://kalev.fedorapeople.org/rsvndump-0.5.3-1.fc14.src.rpm
Description:
rsvndump is a command line tool that is able to dump a subversion repository
that resides on a remote server. All data is dumped in the format that can be
read/written by svnadmin, so the data produced by rsvndump can easily be
imported into a new subversion repository.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2062838

Comment 1 Terje Røsten 2010-03-19 12:58:54 UTC
Looks good, maybe add a Requires: subversion >= 1.4  (see README)?.

Comment 2 Kalev Lember 2010-03-19 14:01:59 UTC
(In reply to comment #1)
> Looks good, maybe add a Requires: subversion >= 1.4  (see README)?.    

I don't think it's necessary. 1.4 is a rather old version of subversion, and it is present even in RHEL 5. All current Fedora versions have at least subversion 1.6.6, so we shouldn't really care (and add explicit requires) for anything older. There's even a Fedora guideline against explicit library requires (subversion is a library here): https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

However, F-11 ships with asciidoc-8.2.5, but needed is at least 8.4. I'm thinking of not building rsvndump for F-11 at all, as it will be EOL soon anyway. What do you think, should I add
BuildRequires:  asciidoc >= 1.4
to guard against users who might want to rebuild it themselves on F-11?

Comment 3 Terje Røsten 2010-03-20 20:40:02 UTC
ok rpmlint
ok naming
ok spec
ok license
ok license tag
ok perms, owns and dirs
ok buildflags
ok sha1sum
    3704f8bf3dacace95b91d344b38c8026c0aa29fd  rsvndump-0.5.3.tar.bz2
    3704f8bf3dacace95b91d344b38c8026c0aa29fd  rsvndump-0.5.3.tar.bz2.spec
ok koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2065270

Comment 4 Terje Røsten 2010-03-20 20:43:25 UTC
No issues here:

 The package rsvndump is APPROVED.

Comment 5 Kalev Lember 2010-03-20 20:56:45 UTC
Thanks for the review, Terje!

New Package CVS Request
=======================
Package Name: rsvndump
Short Description: Remote Subversion repository dumping tool
Owners: kalev
Branches: F-12 F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-03-24 03:28:55 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-03-24 07:08:07 UTC
rsvndump-0.5.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rsvndump-0.5.3-1.fc12

Comment 8 Fedora Update System 2010-03-24 07:08:12 UTC
rsvndump-0.5.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rsvndump-0.5.3-1.fc13

Comment 9 Fedora Update System 2010-03-24 23:28:54 UTC
rsvndump-0.5.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsvndump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rsvndump-0.5.3-1.fc12

Comment 10 Fedora Update System 2010-03-24 23:34:56 UTC
rsvndump-0.5.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsvndump'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rsvndump-0.5.3-1.fc13

Comment 11 Fedora Update System 2010-03-30 02:26:55 UTC
rsvndump-0.5.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-09 04:15:37 UTC
rsvndump-0.5.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.